Loading...
Searching...
No Matches
config_adjust_legacy_from_psa.h File Reference

Adjust PSA configuration: activate legacy implementations. More...

Go to the source code of this file.

## Detailed Description

Adjust PSA configuration: activate legacy implementations.

This is an internal header. Do not include it directly.

When MBEDTLS_PSA_CRYPTO_CONFIG is enabled, activate legacy implementations of cryptographic mechanisms as needed to fulfill the needs of the PSA configuration. Generally speaking, we activate a legacy mechanism if it's needed for a requested PSA mechanism and there is no PSA driver for it.

Definition in file config_adjust_legacy_from_psa.h.